## ros-noetic-cnpy 0.0.8

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.0 FATAL_ERROR)
if (COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
endif (COMMAND cmake_policy)

project(cnpy)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)

find_package(ZLIB REQUIRED)
find_package(catkin REQUIRED)

catkin_package()

add_library(cnpy SHARED cnpy.cpp)
target_include_directories(cnpy PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
        ${ZLIB_INCLUDE_DIRS}
        $<INSTALL_INTERFACE:include>)
set_target_properties(cnpy PROPERTIES PUBLIC_HEADER include/cnpy/cnpy.h)
target_link_libraries(cnpy ${ZLIB_LIBRARIES})

add_executable(example1 example1.cpp)
target_link_libraries(example1 cnpy)
target_compile_options(example1 PRIVATE
     $<$<OR:$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:AppleClang>,$<CXX_COMPILER_ID:GNU>>:
     -Wall -Wnarrowing>
     $<$<CXX_COMPILER_ID:MSVC>:
          /W4>)

install(TARGETS cnpy EXPORT cnpyTargets
        LIBRARY DESTINATION lib
        PUBLIC_HEADER DESTINATION include/cnpy)

install(FILES mat2npz npy2mat npz2mat DESTINATION bin)

set(ConfigPackageLocation lib/cmake/cnpy)

export(EXPORT cnpyTargets
        FILE "${CMAKE_CURRENT_BINARY_DIR}/cnpy/cnpyTargets.cmake"
        NAMESPACE cnpy::
        )

configure_file(cmake/cnpy-config.cmake
        "${CMAKE_CURRENT_BINARY_DIR}/cnpy-config.cmake"
        COPYONLY
        )

install(EXPORT cnpyTargets
        FILE
        cnpy-targets.cmake
        NAMESPACE
        cnpy::
        DESTINATION
        ${ConfigPackageLocation}
        )

install(
        FILES
        cmake/cnpy-config.cmake
        DESTINATION
        ${ConfigPackageLocation}
)

=== debian/changelog ===
ros-noetic-cnpy (0.0.8-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Peter Mitrano <pmitrano@umich.edu>  Thu, 03 Mar 2022 20:56:25 -0000

=== debian/control ===
Source: ros-noetic-cnpy
Section: misc
Priority: optional
Maintainer: Peter Mitrano <pmitrano@umich.edu>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, zlib1g-dev
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-cnpy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: library to read/write .npy and .npz files in C/C++

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cnpy//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
